.TH "orte_pls_bproc_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_pls_bproc_component_t \- PLS bproc Component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pls_bproc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBorte_pls_base_component_t\fP \fBsuper\fP"
.br
.RI "\fIThe base class. \fP"
.ti -1c
.RI "bool \fBdone_launching\fP"
.br
.RI "\fIIs true if we are done launching the user's app. \fP"
.ti -1c
.RI "char * \fBorted\fP"
.br
.RI "\fIThe orted executeable. \fP"
.ti -1c
.RI "int \fBdebug\fP"
.br
.RI "\fIIf greater than 0 print debugging information. \fP"
.ti -1c
.RI "int \fBnum_procs\fP"
.br
.RI "\fIThe number of processes that are running. \fP"
.ti -1c
.RI "int \fBpriority\fP"
.br
.RI "\fIThe priority of this component. \fP"
.ti -1c
.RI "int \fBterminate_sig\fP"
.br
.RI "\fIThe signal that gets sent to a process to kill it. \fP"
.ti -1c
.RI "size_t \fBnum_daemons\fP"
.br
.RI "\fIThe number of daemons that are currently running. \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBlock\fP"
.br
.RI "\fILock used to prevent some race conditions. \fP"
.ti -1c
.RI "opal_condition_t \fBcondition\fP"
.br
.RI "\fICondition that is signaled when all the daemons have died. \fP"
.ti -1c
.RI "\fBorte_pointer_array_t\fP * \fBdaemon_names\fP"
.br
.RI "\fIArray of the process names of all the daemons. \fP"
.in -1c
.SH "Detailed Description"
.PP 
PLS bproc Component. 
.PP
.SH "Field Documentation"
.PP 
.SS "\fBorte_pointer_array_t\fP* \fBorte_pls_bproc_component_t::daemon_names\fP"
.PP
Array of the process names of all the daemons. 
.PP
This is used to send the daemons a termonation signal when all the user processes are done 
.SS "char* \fBorte_pls_bproc_component_t::orted\fP"
.PP
The orted executeable. 
.PP
This can be an absolute path, or if not found we will look for it in the user's path 
.SS "int \fBorte_pls_bproc_component_t::priority\fP"
.PP
The priority of this component. 
.PP
This will be returned if we determine that bproc is available and running on this node, 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
